import request from './request'


export default {

    fixGenerate(data) {
        return request({
            url: '/gift_code/fix_generate',
            method: 'post',
            data
        });
    },

    batchGenerate(data) {
        return request({
            url: '/gift_code/batch_generate',
            method: 'post',
            data
        });
    },

    query(data) {
        return request({
            url: '/gift_code/query',
            method: 'get',
            data
        });
    },

    update(data) {
        return request({
            url: '/gift_code/update',
            method: 'put',
            data
        });
    },

    delete(data) {
        return request({
            url: '/gift_code/delete',
            method: 'delete',
            data
        });
    },

}
